__version__ = '''
$Id: __init__.py,v 1.6 2002/09/10 05:33:21 lalo Exp $
'''.strip()

from i18n_handler import i18n_handler
from i18n_compiler import i18n_compiler

def initialize(context):
    # plug into Zope AltPT
    from Products.AltPT.ZopeAltPageTemplate import handler_registry, compiler_registry
    handler_registry.insert(0, i18n_handler)
    compiler_registry.insert(0, i18n_compiler)
    try:
        from Products.AltPT.FSAltPageTemplate import FSPageTemplate
    except ImportError:
        return
    FSPageTemplate.handlers = ('i18n',) + FSPageTemplate.handlers
